//   FILE: 8255.cpp
//   AUTH: P.OH
//   DATE: 07/01/98
//   DESC: C source file for 8255 DLL - compiled with Microsoft Visual C++ 5.0

#include <stdio.h>
#include <conio.h>  // contains Visual C++'s inp and out functions



// ------------------------------------------------------
//   FUNC: Out8255
//   DESC: uses Microsoft's Visual C++ _outp() function
//         to output a PortData to PortAddress
// ------------------------------------------------------

short _stdcall Out8255( int PortAddress, int PortData )
{
  short Dummy; 
  // Need Dummy since _outp officially returns int 
  // short is a 16-bit integer in Win32 C++
  // whereas int is 32-bit integer Win32 C++
  // use (short) to force returning 16-bit integer
  // back to VB
  Dummy = (short)(_outp( PortAddress, PortData ));

  return(Dummy);

}; // end of Out8255


// ----------------------------------------------------
//   FUNC: In8255
//   DESC: uses Microsoft's Visual C++ _inp() function
//         to read PortAddress
// ----------------------------------------------------

short _stdcall In8255( int PortAddress ) 
{
  short PortData; 
  // short is a 16-bit integer in Win32 C++
  // whereas int is 32-bit integer in Win32 C++
  // use (short) to force returning 16-bit integer 
  // back to VB
  
  PortData = (short)(_inp( PortAddress ));
  return( PortData );

}; /* end of In8255 */
